#include <stdio.h>

int main() {
    int x,y,a,b;
    scanf("%d%d%d%d",&x,&y,&a,&b);
    if(a==x && b==y)
        printf("nijedan");
    if(a<x && b<y)
        printf("?");
    if(a==x && b<y)
        printf("drugi");
    if(a<x&& b==y)
        printf("nijedan");
    return 0;
}